import request from '@/utils/request'
	
/**
 * @Descripttion: 商品服务与承诺Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-06-18)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-06-18)
*/

// 商品服务与承诺分页查询列表
export function goodsServicesList(query) {
  return request({
    url: '/business/GoodsServices/getGoodsServicesList',
    method: 'get',
    params: query
  })
}

// 商品服务与承诺新增或修改
export function addOrUpdateGoodsServices(data) {
  return request({
    url: '/business/GoodsServices/addOrUpdateGoodsServices',
    method: 'post',
    data: data,
  })
}

// 商品服务与承诺删除
export function delGoodsServices(ids) {
  return request({
    url: '/business/GoodsServices/'+ ids,
    method: 'delete'
  })
}

// 商品服务与承诺导出
export function exportGoodsServices(query) {
  return request({
    url: 'business/GoodsServices/exportGoodsServices',
    method: 'get',
    params: query
  })
}

